Updated: 2012-01-20 Due date:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.0
Subject: Exception with /** @MappedSuperclass */
Description

If you have a mapped superclass in Domain/Model folder you will have an exception unless you mark the class with @entity

Doctrine2 Examples http://www.doctrine-project.org/docs/orm/2.0/en/reference/inheritance-mapping.html dont mark this kind of
clasess as @entity

Not sure if it's better to mark as entity, may be yes, but it doesnt seem necessary in Doctrine2. All works ok and no new table is
created in DB after tag as @entity

#1295973082 No class schema found for "F3\Sifpe\Domain\Model\Apunte" 
RuntimeException thrown in file
/var/www/html/FLOW3/Data/Temporary/Development/Cache/Code/FLOW3_Object_Classes/F3_FLOW3_Persistence_Doctrine_Map
ing_Driver_Flow3AnnotationDriver_Original.php in line 89.

Related issues:
related to TYPO3.Flow - Bug # 34545: Hint at wrong usage of @ORM\MappedSuperc... Resolved 2012-03-05

Associated revisions
Revision 68ac2a01 - 2012-01-19 15:28 - Karsten Dambekalns

[BUGFIX] Hint at possible exception cause

When using @MappedSuperclass without @Entity an exception is thrown.
Since FLOW3 needs the @Entity annotation even with a mapped superclass,
this change adds a hint to the exception message.

Change-Id: I0cfe579bc54afc473162e21d596d70408d82bb1d
Fixes: #27285
Releases: 1.0, 1.1

Revision ad89e84e - 2012-01-19 15:29 - Karsten Dambekalns

[BUGFIX] Hint at possible exception cause

When using @MappedSuperclass without @Entity an exception is thrown.
Since FLOW3 needs the @Entity annotation even with a mapped superclass,
this change adds a hint to the exception message.

Change-Id: I04cf950f79519daedb3f84e8b2d9f27361b46516
Fixes: #27285
Releases: 1.0, 1.1

History
#1 - 2011-06-11 19:08 - Karsten Dambekalns
- Category set to Persistence
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#2 - 2011-10-21 13:20 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0

#3 - 2012-01-04 21:43 - Karsten Dambekalns
- Target version set to 1.0.3
- Has patch set to No

Yes, in FLOW3 all entities must be marked as such. The entity declaration has more significance than only for persistence, thus simply using
MappedSuperclass as a "shortcut" to Entity is not an option.

But I will change the exception message to contain a hint.

#4 - 2012-01-04 21:45 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7675

#5 - 2012-01-19 15:28 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/7861

#6 - 2012-01-19 15:29 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7675

#7 - 2012-01-20 02:42 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ad89e84eecd5170b0ce87ac340c1c564acc67983.
